@charset "utf-8";

/* ---------- 
役員紹介系_共通CSS
----------*/
main{
    margin-bottom: 80px;
}

@media screen and (max-width: 700px) {
    main{
        margin-bottom: 60px;
    }
}


/*点付きのリスト*/
.director-list li{
    position: relative;
    font-size: clamp(16px, 1.143vw, calc(16px * var(--ratio)));
    font-weight: 400;/*regular*/
    line-height: calc(34 / 16);
}

.director-list.list-dot li::before{
    top: 0.85em;
    width: clamp(8px, 0.571vw, calc(8px * var(--ratio)));
    height: clamp(8px, 0.571vw, calc(8px * var(--ratio)));
}

@media screen and (max-width: 700px) {
    .director-list li{
        font-size: calc(15px / var(--fs-base) * 1rem);
        line-height: calc(30/15);
    }
}

/* ---------- 
director
----------*/
#director::before{
    content: '';
    position: absolute;
    width: 100%;
    height: 550px;
    background-color: var(--color-sub);
    top: 100px;
    left: 0;
    z-index: -10;
}

@media screen and (max-width: 1110px){
    #director::before{
        top: 60px;
    }
}

@media screen and (max-width: 700px) {
    #director::before{
        height: 243px;
    }

    /*写真無しのパターン*/
    #director.detail-c::before{
        height: 157px;
    }
}



/* ---------- 
director-profile
----------*/
.director-profile{
    background-color: var(--color-text-sub);
    padding: 60px;
    margin-bottom: 20px;
}

.director-profile-header{
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
}

.director-profile-info{
    font-weight: 500;
    letter-spacing: 0.05em;
    width: 64.5%;
}

.director-profile-img img{
    width: 100%;
}

.director-profile-img{
    width: clamp(252px, 18vw, calc(252px * var(--ratio)));
    height: clamp(252px, 18vw, calc(252px * var(--ratio)));
}

.director-profile-position{
    font-size: clamp(16px, 1.143vw, calc(16px * var(--ratio)));
    line-height: calc(34/16);
    color: var(--color-text);
}

.director-profile-name{
    margin-top: 10px;
    display: flex;
    align-items: center;
    gap: 20px;
}

.director-profile-name .name-ja{
    font-size: clamp(32px, 2.286vw, calc(32px * var(--ratio)));
    font-weight: 500;
    line-height: calc(38/32);
    color: var(--color-text);
}

.director-profile-name .name-en{
    font-size: clamp(16px, 1.143vw, calc(16px * var(--ratio)));
    font-weight: 400;
    font-family: "Inter", sans-serif;
    line-height: calc(25/16);
    letter-spacing: 0.05em;
    color: var(--color-line);
}

.profile-info-summary{
    margin-top: 80px;
    font-size: clamp(16px, 1.143vw, calc(16px * var(--ratio)));
    font-weight: 500;
    letter-spacing: 0.05em;
    line-height: calc(34/16);
}

@media screen and (max-width: 700px) {
    .director-profile{
        padding: 0;
        margin-bottom: 60px;
    }

    .director-profile-header{
        flex-direction: column-reverse;
        align-items: normal;
    }

    .director-profile-info{
        text-align: center;
        max-width: initial;
        padding-top: 30px;
        width: 100%;
    }

    .director-profile-img{
        padding: 30px;
        padding-bottom: 0;
        width: 100%;
        height: 100%;
    }

    .director-profile-position{
        font-size: calc(15px / var(--fs-base) * 1rem);
        line-height: calc(34/15);
    }

    .director-profile-name{
        flex-direction: column;
        justify-content: center;
        gap: 5px;
    }

    .director-profile-name .name-ja{
        font-size: calc(24px / var(--fs-base) * 1rem);
        line-height: calc(38/24);
    }

    .director-profile-name .name-en{
        font-size: calc(12px / var(--fs-base) * 1rem);
        line-height: calc(25/12);
    }

    .profile-info-summary{
        margin-top: 60px;
        font-size: calc(15px / var(--fs-base) * 1rem);
        line-height: calc(30/15);
        text-align: left;
    }
    
}

/* ---------- 
editor-block
----------*/
.editor-block{
    margin-top: 60px;
}

@media screen and (max-width: 700px) {
    .editor-block{
        margin-top: 30px;
    }
}


/* ---------- 
concurrent-roles(重要な兼職状況)
----------*/
.concurrent-roles{
    margin-top: 50px;
}

.capsule-title{
    font-size: clamp(14px, 1.0vw, calc(14px * var(--ratio)));
    font-weight: 400;
    letter-spacing: 0.05em;
    line-height: calc(26/14);
    border: 1px solid var(--color-text);
    border-radius: 20px;
    padding: 0px 20px;
    width: fit-content;
    margin-bottom: 20px;
}

@media screen and (max-width: 700px) {
    .capsule-title{
        font-size: calc(15px / var(--fs-base) * 1rem);
    }

}

/* ---------- 
activities-section(関連する活動内容)
----------*/
.activities-section .inner .related-links{
    padding: 0 60px;
}

/*共通部分_タイトル*/
.activities-section .related-links{
    margin-bottom: 30px;
}

@media screen and (min-width: 701px) and (max-width: 1100px){
    .activities-section .inner .related-links{
        padding: 0 90px;
    }
}
@media screen and (max-width: 700px) {
    .activities-section .related-links{
        margin-bottom: 30px;
    }

    .activities-section .inner .related-links{
        padding-left: 20px;
        padding-right: 20px;
    }
}

/* ---------- 
activities-list_ulリストの時
----------*/
.activities-section.activities-list .inner{
    padding: 0 60px;
}

.activities-section.activities-list .icon-title{
    margin-left: 0;
}

.activities-section.activities-list .director-list{
    margin-bottom: 80px;
}

@media screen and (max-width: 700px) {
    .activities-section.activities-list .inner{
        padding-left: 20px;
        padding-right: 20px;
    }

    .activities-section.activities-list .director-list{
        margin-bottom: 60px;
    }
}

/* ---------- 
project-swiper
----------*/
.project-swiper {
    margin-bottom: 50px;
}

.project-swiper-wrapper.no-swiper {
    justify-content: center;
    gap: 10px;
}

.activities-section .project-swiper .swiper-slide{
    width: 326px;
}

.project-img img {
    transition: filter 0.3s ease;  /* 0.3s → 0.6s に変更 */
}
.project-client {
    height: 1.58em;
}

/* ナビゲーション */
.project-swiper-pagination {
    position: relative;
    padding: 30px 0;
    width: 100%;
    text-align: center;
}

.project-swiper-pagination span {
    font-family: "Inter", sans-serif;
    font-size: clamp(14px, 1.0vw, calc(14px * var(--ratio)));
    font-weight: 400;
    color: var(--color-text);
}

.project-swiper-pagination span.current,
.project-swiper-pagination span.total {
    padding: 0 10px;
}

.project-swiper-pagination span.separator {
    display: inline-block;
    height: 0.85em;
    width: 1px;
    background: var(--color-text);
}

.project-swiper-button-next,
.project-swiper-button-prev {
    position: absolute;
    top: 50%;
    transform: translateY(-50%) translateX(-50%);
    width: 26px;
    height: 26px;
    border: 1px solid var(--color-text);
    border-radius: 50%;
    z-index: 10;
    cursor: pointer;
}

.project-swiper-button-next {
    left: calc(50% + 55px)
}

.project-swiper-button-prev {
    left: calc(50% - 55px)
}

.project-swiper-button-next:before,
.project-swiper-button-prev:before {
    content: "";
    position: absolute;
    top: calc(50% - 1px);
    width: 8px;
    height: 8px;
    transform: rotate(45deg) translate(-50%);
}

.project-swiper-button-next:before {
    border-top: 1px solid var(--color-text);
    border-right: 1px solid var(--color-text);
    right: calc(50% - 4px);
}

.project-swiper-button-prev:before {
    border-bottom: 1px solid var(--color-text);
    border-left: 1px solid var(--color-text);
    left: 50%;
}

@media screen and (max-width: 1101px) {
    .inner.swiper-inner{
        width: 100%;
        padding: 0;
    }

    .project-img img{
        width: 100%;
        height: auto;
    }
}

@media screen and (min-width: 701px) {
    .project-swiper-button-next:hover,
    .project-swiper-button-prev:hover {
        background: var(--color-text);
    }
    .project-swiper-button-next:hover:before {
        border-top: 1px solid var(--color-text-sub);
        border-right: 1px solid var(--color-text-sub);
    }
    .project-swiper-button-prev:hover:before {
        border-bottom: 1px solid var(--color-text-sub);
        border-left: 1px solid var(--color-text-sub);
    }
}

@media screen and (min-width: 701px) and (max-width: 1100px) {
    .project-content {
        min-height: 295px;
    }

}

@media screen and (max-width: 700px) {
    .project-swiper {
        margin-bottom: 30px;
    }
    .project-content {
        padding: 26px 30px 30px;
    }

    /* ナビゲーション */
    .project-swiper-pagination span {
        font-size: calc(16px / var(--fs-base) * 1rem);
    }
    .project-swiper-pagination span.separator {
        height: 1.1em;
        vertical-align: middle;
    }
    .project-swiper-button-next,
    .project-swiper-button-prev {
        transform: translateY(-50%);
    }
    .project-swiper-button-next {
        right: 32%;
        left: auto;
    }
    .project-swiper-button-prev {
        left: 33%;
    }
}
